Returns a reference to the current Imagick object

- « Imagick::cropThumbnailImage

- Imagick::cycleColormapImage »

- PHP Manual
- Imagick
- Returns a reference to the current Imagick object

# Imagick::current

(PECL imagick 2, PECL imagick 3)

Imagick::current — Returns a reference to the current Imagick object

### Description

public Imagick::current(): Imagick

Returns reference to the current imagick object with image pointer at the correct sequence.

### Parameters

This function has no parameters.

### Return Values

Returns self on success.

### Errors/Exceptions

Throws ImagickException on error.